Magick++ 6.9.6

Public Types | Public Member Functions | List of all members
Magick::CoderInfo Class Reference

`#include <CoderInfo.h>`

## Public Types
enum | MatchType { AnyMatch, TrueMatch, FalseMatch }

## Public Member Functions
| CoderInfo (void)
| CoderInfo (const CoderInfo &coder_)
| CoderInfo (const std::string &name_)
| ~CoderInfo (void)
CoderInfo & | operator= (const CoderInfo &coder_)
std::string | description (void) const
bool | isMultiFrame (void) const
bool | isReadable (void) const
bool | isWritable (void) const
std::string | mimeType (void) const
std::string | name (void) const
bool | unregister (void) const
| CoderInfo (const MagickCore::MagickInfo *magickInfo_)

## Detailed Description

Definition at line 19 of file CoderInfo.h.

## Member Enumeration Documentation

enum Magick::CoderInfo::MatchType

Enumerator
AnyMatch |
TrueMatch |
FalseMatch |

Definition at line 23 of file CoderInfo.h.

## Constructor & Destructor Documentation

Magick::CoderInfo::CoderInfo | ( | void |  | ) |

Definition at line 18 of file CoderInfo.cpp.

Magick::CoderInfo::CoderInfo | ( | const CoderInfo & | coder_ | ) |

Definition at line 28 of file CoderInfo.cpp.

Magick::CoderInfo::CoderInfo | ( | const std::string & | name_ | ) |

Definition at line 38 of file CoderInfo.cpp.

References GetPPException, Magick::throwExceptionExplicit(), and ThrowPPException.

Magick::CoderInfo::~CoderInfo | ( | void |  | ) |

Definition at line 67 of file CoderInfo.cpp.

Magick::CoderInfo::CoderInfo | ( | const MagickCore::MagickInfo * | magickInfo_ | ) |

Definition at line 121 of file CoderInfo.cpp.

## Member Function Documentation

std::string Magick::CoderInfo::description | ( | void |  | ) | const

Definition at line 86 of file CoderInfo.cpp.

bool Magick::CoderInfo::isMultiFrame | ( | void |  | ) | const

Definition at line 101 of file CoderInfo.cpp.

Referenced by Magick::coderInfoList().

bool Magick::CoderInfo::isReadable | ( | void |  | ) | const

Definition at line 91 of file CoderInfo.cpp.

Referenced by Magick::coderInfoList().

bool Magick::CoderInfo::isWritable | ( | void |  | ) | const

Definition at line 96 of file CoderInfo.cpp.

Referenced by Magick::coderInfoList().

std::string Magick::CoderInfo::mimeType | ( | void |  | ) | const

Definition at line 106 of file CoderInfo.cpp.

std::string Magick::CoderInfo::name | ( | void |  | ) | const

Definition at line 111 of file CoderInfo.cpp.

Magick::CoderInfo & Magick::CoderInfo::operator= | ( | const CoderInfo & | coder_ | ) |

Definition at line 71 of file CoderInfo.cpp.

bool Magick::CoderInfo::unregister | ( | void |  | ) | const

Definition at line 116 of file CoderInfo.cpp.

The documentation for this class was generated from the following files:

- CoderInfo.h
- CoderInfo.cpp